# Philosophy

From Wikipedia, the free encyclopedia

[Jump to navigation](https://en.wikipedia.org/wiki/Philosophy#mw-head)[Jump to search](https://en.wikipedia.org/wiki/Philosophy#searchInput)

For other uses, see [Philosophy (disambiguation)](https://en.wikipedia.org/wiki/Philosophy_(disambiguation)).

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/4/49/%22The_School_of_Athens%22_by_Raffaello_Sanzio_da_Urbino.jpg/300px-%22The_School_of_Athens%22_by_Raffaello_Sanzio_da_Urbino.jpg)](https://en.wikipedia.org/wiki/File:"The_School_of_Athens"_by_Raffaello_Sanzio_da_Urbino.jpg)

*[The School of Athens](https://en.wikipedia.org/wiki/The_School_of_Athens)* (1509–1511) by [Raphael](https://en.wikipedia.org/wiki/Raphael), depicting famous classical [Greek philosophers](https://en.wikipedia.org/wiki/Ancient_Greek_philosophy) in an idealized setting inspired by [ancient Greek architecture](https://en.wikipedia.org/wiki/Ancient_Greek_architecture)

| Part of [a series](https://en.wikipedia.org/wiki/Category:Philosophy) on |
| ------------------------------------------------------------ |
| Philosophy                                                   |
| ![Left to right: Plato, Kant, Nietzsche, Buddha, Confucius, Averroes](https://upload.wikimedia.org/wikipedia/commons/c/cf/Philbar_3.png)[![About this image](https://en.wikipedia.org/w/extensions/ImageMap/resources/desc-20.png?15600)](https://en.wikipedia.org/wiki/File:Philbar_3.png)[Plato](https://en.wikipedia.org/wiki/Plato)[Kant](https://en.wikipedia.org/wiki/Immanuel_Kant)[Nietzsche](https://en.wikipedia.org/wiki/Friedrich_Nietzsche)[Buddha](https://en.wikipedia.org/wiki/Gautama_Buddha)[Confucius](https://en.wikipedia.org/wiki/Confucius)[Averroes](https://en.wikipedia.org/wiki/Averroes) |
| show[Branches](https://en.wikipedia.org/wiki/Category:Branches_of_philosophy) |
| show[Periods](https://en.wikipedia.org/wiki/Category:Philosophy_by_period) |
| show[Traditions](https://en.wikipedia.org/wiki/Category:Philosophical_traditions) |
| show[Literature](https://en.wikipedia.org/wiki/Category:Philosophical_literature) |
| show[Philosophers](https://en.wikipedia.org/wiki/Category:Philosophers) |
| show[Lists](https://en.wikipedia.org/wiki/Category:Philosophy-related_lists) |
| [![Socrates.png](https://upload.wikimedia.org/wikipedia/commons/thumb/c/cd/Socrates.png/10px-Socrates.png)](https://en.wikipedia.org/wiki/File:Socrates.png) [Philosophy portal](https://en.wikipedia.org/wiki/Portal:Philosophy) |
| [v](https://en.wikipedia.org/wiki/Template:Philosophy_sidebar)[t](https://en.wikipedia.org/wiki/Template_talk:Philosophy_sidebar)[e](https://en.wikipedia.org/w/index.php?title=Template:Philosophy_sidebar&action=edit) |

**Philosophy** (from [Greek](https://en.wikipedia.org/wiki/Greek_language): φιλοσοφία, *philosophia*, 'love of wisdom')[[1\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-Online_Etymology_Dictionary-1)[[2\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-Webster's_New_World_Dictionary-2) is the study of general and fundamental questions, such as those about [existence](https://en.wikipedia.org/wiki/Metaphysics), [reason](https://en.wikipedia.org/wiki/Reason), [knowledge](https://en.wikipedia.org/wiki/Epistemology), [values](https://en.wikipedia.org/wiki/Ethics), [mind](https://en.wikipedia.org/wiki/Philosophy_of_mind), and [language](https://en.wikipedia.org/wiki/Philosophy_of_language).[[3\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-3)[[4\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-4) Such questions are often posed as problems[[5\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-5)[[6\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-6) to be studied or resolved. Some sources claim the term was coined by [Pythagoras](https://en.wikipedia.org/wiki/Pythagoras) (c. 570 – c. 495 BCE),[[7\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-7)[[8\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-8) others dispute this story,[[9\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-9)[[10\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-10) arguing that Pythagoreans merely claimed use of a preexisting term.[[11\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-11) [Philosophical methods](https://en.wikipedia.org/wiki/Philosophical_methodology) include [questioning](https://en.wikipedia.org/wiki/Socratic_questioning), [critical discussion](https://en.wikipedia.org/wiki/Socratic_method), [rational argument](https://en.wikipedia.org/wiki/Dialectic), and systematic presentation.[[12\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-12)[[13\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-justification-13)[[i\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-14)

Historically, *philosophy* encompassed all bodies of knowledge and a practitioner was known as a *[philosopher](https://en.wikipedia.org/wiki/Philosopher)*.[[14\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:0-15) From the time of [Ancient Greek](https://en.wikipedia.org/wiki/Ancient_Greek) philosopher [Aristotle](https://en.wikipedia.org/wiki/Aristotle) to the 19th century, "[natural philosophy](https://en.wikipedia.org/wiki/Natural_philosophy)" encompassed [astronomy](https://en.wikipedia.org/wiki/Astronomy), [medicine](https://en.wikipedia.org/wiki/Medicine), and [physics](https://en.wikipedia.org/wiki/Physics).[[15\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-FOOTNOTELindberg20073-16) For example, [Newton](https://en.wikipedia.org/wiki/Isaac_Newton)'s 1687 *[Mathematical Principles of Natural Philosophy](https://en.wikipedia.org/wiki/Philosophiæ_Naturalis_Principia_Mathematica)* later became classified as a book of physics.

In the 19th century, the growth of modern [research universities](https://en.wikipedia.org/wiki/University) led academic philosophy and other disciplines to [professionalize](https://en.wikipedia.org/wiki/Contemporary_philosophy) and specialize.[[16\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-17)[[17\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-18) Since then, various areas of investigation that were traditionally part of philosophy have become separate academic disciplines, and namely the [social sciences](https://en.wikipedia.org/wiki/Social_sciences) such as [psychology](https://en.wikipedia.org/wiki/Psychology), [sociology](https://en.wikipedia.org/wiki/Sociology), [linguistics](https://en.wikipedia.org/wiki/Linguistics), and [economics](https://en.wikipedia.org/wiki/Economics).

Today, major subfields of academic philosophy include [metaphysics](https://en.wikipedia.org/wiki/Metaphysics), which is concerned with the fundamental nature of [existence](https://en.wikipedia.org/wiki/Existence) and [reality](https://en.wikipedia.org/wiki/Reality); [epistemology](https://en.wikipedia.org/wiki/Epistemology), which studies the nature of [knowledge](https://en.wikipedia.org/wiki/Knowledge) and [belief](https://en.wikipedia.org/wiki/Belief); [ethics](https://en.wikipedia.org/wiki/Ethics), which is concerned with [moral value](https://en.wikipedia.org/wiki/Value_(ethics)); and [logic](https://en.wikipedia.org/wiki/Logic), which studies the [rules of inference](https://en.wikipedia.org/wiki/Rules_of_inference) that allow one to derive [conclusions](https://en.wikipedia.org/wiki/Consequent) from [true](https://en.wikipedia.org/wiki/Truth) [premises](https://en.wikipedia.org/wiki/Premises).[[18\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-19)[[19\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-20) Other notable subfields include [philosophy of science](https://en.wikipedia.org/wiki/Philosophy_of_science), [political philosophy](https://en.wikipedia.org/wiki/Political_philosophy), [aesthetics](https://en.wikipedia.org/wiki/Aesthetics), [philosophy of language](https://en.wikipedia.org/wiki/Philosophy_of_language), and [philosophy of mind](https://en.wikipedia.org/wiki/Philosophy_of_mind).

## Contents



- [1Definitions](https://en.wikipedia.org/wiki/Philosophy#Definitions)
- 2Historical overview
  - [2.1Western philosophy](https://en.wikipedia.org/wiki/Philosophy#Western_philosophy)
  - [2.2Middle Eastern philosophy](https://en.wikipedia.org/wiki/Philosophy#Middle_Eastern_philosophy)
  - [2.3Eastern philosophy](https://en.wikipedia.org/wiki/Philosophy#Eastern_philosophy)
  - [2.4African philosophy](https://en.wikipedia.org/wiki/Philosophy#African_philosophy)
  - [2.5Indigenous American philosophy](https://en.wikipedia.org/wiki/Philosophy#Indigenous_American_philosophy)
  - [2.6Women in philosophy](https://en.wikipedia.org/wiki/Philosophy#Women_in_philosophy)
  - [2.7Philosophical progress](https://en.wikipedia.org/wiki/Philosophy#Philosophical_progress)
- 3Branches of philosophy
  - [3.1Aesthetics](https://en.wikipedia.org/wiki/Philosophy#Aesthetics)
  - [3.2Ethics](https://en.wikipedia.org/wiki/Philosophy#Ethics)
  - [3.3Epistemology](https://en.wikipedia.org/wiki/Philosophy#Epistemology)
  - [3.4Metaphysics](https://en.wikipedia.org/wiki/Philosophy#Metaphysics)
  - [3.5Logic](https://en.wikipedia.org/wiki/Philosophy#Logic)
  - [3.6Mind and language](https://en.wikipedia.org/wiki/Philosophy#Mind_and_language)
  - [3.7Philosophy of science](https://en.wikipedia.org/wiki/Philosophy#Philosophy_of_science)
  - [3.8Political philosophy](https://en.wikipedia.org/wiki/Philosophy#Political_philosophy)
  - [3.9Philosophy of religion](https://en.wikipedia.org/wiki/Philosophy#Philosophy_of_religion)
  - [3.10Metaphilosophy](https://en.wikipedia.org/wiki/Philosophy#Metaphilosophy)
- [4Applied and professional philosophy](https://en.wikipedia.org/wiki/Philosophy#Applied_and_professional_philosophy)
- [5See also](https://en.wikipedia.org/wiki/Philosophy#See_also)
- 6References
  - [6.1Notes](https://en.wikipedia.org/wiki/Philosophy#Notes)
  - [6.2Citations](https://en.wikipedia.org/wiki/Philosophy#Citations)
  - [6.3Bibliography](https://en.wikipedia.org/wiki/Philosophy#Bibliography)
- 7Further reading
  - [7.1General introduction](https://en.wikipedia.org/wiki/Philosophy#General_introduction)
  - [7.2Topical introductions](https://en.wikipedia.org/wiki/Philosophy#Topical_introductions)
  - [7.3Historical introductions](https://en.wikipedia.org/wiki/Philosophy#Historical_introductions)
  - [7.4Reference works](https://en.wikipedia.org/wiki/Philosophy#Reference_works)
- [8External links](https://en.wikipedia.org/wiki/Philosophy#External_links)

## Definitions

Initially, the term referred to any body of [knowledge](https://en.wikipedia.org/wiki/Knowledge).[[14\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:0-15) In this sense, philosophy is closely related to religion, mathematics, natural science, education, and politics.[[20\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-21)

In section thirteen of his [*Lives and Opinions of the Eminent Philosophers*](https://en.wikipedia.org/wiki/Lives_and_Opinions_of_Eminent_Philosophers), the oldest surviving history of philosophy (3rd century), [Diogenes Laërtius](https://en.wikipedia.org/wiki/Diogenes_Laërtius) presents a three-part division of ancient Greek philosophical inquiry:[[21\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-22)

- [Natural philosophy](https://en.wikipedia.org/wiki/Science) (i.e. physics, from [Greek](https://en.wikipedia.org/wiki/Greek_language): *ta physika*, [lit.](https://en.wikipedia.org/wiki/Literal_translation) 'things having to do with *physis* [nature]') was the study of the constitution and processes of transformation in the physical world.[[22\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-23)
- [Moral philosophy](https://en.wikipedia.org/wiki/Ethics) (i.e. ethics, from *êthika*, 'having to do with character, disposition, manners') was the study of goodness, right and wrong, justice and virtue.[[23\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-24)
- [Metaphysical philosophy](https://en.wikipedia.org/wiki/Metaphysics) (i.e. logic, from *logikós*, 'of or pertaining to reason or speech') was the study of [existence](https://en.wikipedia.org/wiki/Existence), causation, [God](https://en.wikipedia.org/wiki/God), [logic](https://en.wikipedia.org/wiki/Logic), [forms](https://en.wikipedia.org/wiki/Universal_(metaphysics)), and other abstract objects.[[24\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-25) (*meta ta physika*, 'after the *[Physics](https://en.wikipedia.org/wiki/Physics_(Aristotle))*')

In *Against the Logicians* the [Pyrrhonist](https://en.wikipedia.org/wiki/Pyrrhonism) philosopher [Sextus Empiricus](https://en.wikipedia.org/wiki/Sextus_Empiricus) detailed the variety of ways in which the ancient Greek philosophers had divided philosophy, noting that this three-part division was agreed to by Plato, Aristotle, Xenocrates, and the Stoics.[[25\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-26) The [Academic Skeptic](https://en.wikipedia.org/wiki/Academic_skepticism) philosopher [Cicero](https://en.wikipedia.org/wiki/Cicero) also followed this three-part division.[[26\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-27)

This division is not obsolete, but has changed: *natural philosophy* has split into the various natural sciences, especially physics, [astronomy](https://en.wikipedia.org/wiki/Astronomy), [chemistry](https://en.wikipedia.org/wiki/Chemistry), [biology](https://en.wikipedia.org/wiki/Biology), and [cosmology](https://en.wikipedia.org/wiki/Cosmology); *moral philosophy* has birthed the [social sciences](https://en.wikipedia.org/wiki/Social_science), while still including [value theory](https://en.wikipedia.org/wiki/Value_theory) (e.g. ethics, [aesthetics](https://en.wikipedia.org/wiki/Aesthetics), [political philosophy](https://en.wikipedia.org/wiki/Political_philosophy), etc.); and *metaphysical philosophy* has given way to formal sciences such as logic, [mathematics](https://en.wikipedia.org/wiki/Mathematics) and [philosophy of science](https://en.wikipedia.org/wiki/Philosophy_of_science), while still including epistemology, cosmology, etc. For example, [Newton](https://en.wikipedia.org/wiki/Isaac_Newton)'s *[Mathematical Principles of Natural Philosophy](https://en.wikipedia.org/wiki/Philosophiæ_Naturalis_Principia_Mathematica)* (1687), since classified as a book of physics, uses the term *[natural philosophy](https://en.wikipedia.org/wiki/Natural_philosophy)* as it was understood at the time, encompassing disciplines such as [astronomy](https://en.wikipedia.org/wiki/Astronomy), [medicine](https://en.wikipedia.org/wiki/Medicine) and [physics](https://en.wikipedia.org/wiki/Physics) that later became associated with [the sciences](https://en.wikipedia.org/wiki/Science).[[15\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-FOOTNOTELindberg20073-16)

## Historical overview

In one general sense, philosophy is associated with [wisdom](https://en.wikipedia.org/wiki/Wisdom), intellectual culture, and a search for knowledge. In this sense, all cultures and literate societies ask philosophical questions, such as "how are we to live" and "what is the nature of reality." A broad and impartial conception of philosophy, then, finds a reasoned inquiry into such matters as [reality](https://en.wikipedia.org/wiki/Reality), [morality](https://en.wikipedia.org/wiki/Morality), and life in all world civilizations.[[27\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-28)

### Western philosophy

Main article: [Western philosophy](https://en.wikipedia.org/wiki/Western_philosophy)

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/d/df/Aristoteles_der_Stagirit.jpg/220px-Aristoteles_der_Stagirit.jpg)](https://en.wikipedia.org/wiki/File:Aristoteles_der_Stagirit.jpg)

Statue of [Aristotle](https://en.wikipedia.org/wiki/Aristotle) (384–322 BCE), a major figure of ancient Greek philosophy, in the Aristotlepark, [Stagira](https://en.wikipedia.org/wiki/Stagira)

[Western philosophy](https://en.wikipedia.org/wiki/Western_philosophy) is the philosophical tradition of the [Western world](https://en.wikipedia.org/wiki/Western_world), dating back to [pre-Socratic](https://en.wikipedia.org/wiki/Pre-Socratic_philosophy) thinkers who were active in 6th-century [Greece](https://en.wikipedia.org/wiki/Ancient_Greece) (BCE), such as [Thales](https://en.wikipedia.org/wiki/Thales) ([c.](https://en.wiktionary.org/wiki/circa#English) 624 – [c.](https://en.wiktionary.org/wiki/circa#English) 545 BCE) and [Pythagoras](https://en.wikipedia.org/wiki/Pythagoras) (c. 570 – c. 495 BCE) who practiced a 'love of wisdom' ([Latin](https://en.wikipedia.org/wiki/Latin_language): *philosophia*)[[28\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:02-29) and were also termed 'students of nature' (*physiologoi*).

[Western philosophy](https://en.wikipedia.org/wiki/Western_philosophy) can be divided into three eras:[[29\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-auto2-30)

1. [Ancient](https://en.wikipedia.org/wiki/Ancient_Greek_philosophy) ([Greco-Roman](https://en.wikipedia.org/wiki/Greco-Roman_world)).[[29\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-auto2-30)
2. [Medieval philosophy](https://en.wikipedia.org/wiki/Medieval_philosophy) (referring to Christian European thought).[[29\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-auto2-30)
3. [Modern philosophy](https://en.wikipedia.org/wiki/Modern_philosophy) (beginning in the 17th century).[[29\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-auto2-30)

#### Ancient era

While our knowledge of the ancient era begins with [Thales](https://en.wikipedia.org/wiki/Thales) in the 6th century BCE, little is known about the philosophers who came before [Socrates](https://en.wikipedia.org/wiki/Socrates) (commonly known as [the pre-Socratics](https://en.wikipedia.org/wiki/Pre-Socratic_philosophy)). The ancient era was dominated by [Greek philosophical schools](https://en.wikipedia.org/wiki/Ancient_Greek_philosophy). Most notable among the schools influenced by Socrates' teachings were [Plato](https://en.wikipedia.org/wiki/Plato), who founded the [Platonic Academy](https://en.wikipedia.org/wiki/Platonic_Academy), and his student [Aristotle](https://en.wikipedia.org/wiki/Aristotle),[[30\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-process-31) who founded the [Peripatetic school](https://en.wikipedia.org/wiki/Peripatetic_school). Other ancient philosophical traditions influenced by Socrates included [Cynicism](https://en.wikipedia.org/wiki/Cynicism_(philosophy)), [Cyrenaicism](https://en.wikipedia.org/wiki/Cyrenaics), [Stoicism](https://en.wikipedia.org/wiki/Stoicism), and [Academic Skepticism](https://en.wikipedia.org/wiki/Academic_Skepticism). Two other traditions were influenced by Socrates' contemporary, [Democritus](https://en.wikipedia.org/wiki/Democritus): [Pyrrhonism](https://en.wikipedia.org/wiki/Pyrrhonism) and [Epicureanism](https://en.wikipedia.org/wiki/Epicureanism). Important topics covered by the Greeks included [metaphysics](https://en.wikipedia.org/wiki/Metaphysics) (with competing theories such as [atomism](https://en.wikipedia.org/wiki/Atomism) and [monism](https://en.wikipedia.org/wiki/Monism)), [cosmology](https://en.wikipedia.org/wiki/Cosmology), the nature of the well-lived life (*[eudaimonia](https://en.wikipedia.org/wiki/Eudaimonia)*), the [possibility of knowledge](https://en.wikipedia.org/wiki/Epistemology), and the nature of reason ([logos](https://en.wikipedia.org/wiki/Logos)). With the rise of the [Roman empire](https://en.wikipedia.org/wiki/Roman_empire), Greek philosophy was increasingly discussed in [Latin](https://en.wikipedia.org/wiki/Latin) by [Romans](https://en.wikipedia.org/wiki/Ancient_Rome) such as [Cicero](https://en.wikipedia.org/wiki/Cicero) and [Seneca](https://en.wikipedia.org/wiki/Seneca_the_Younger) (see [Roman philosophy](https://en.wikipedia.org/wiki/Roman_philosophy)).

#### Medieval era

[Medieval philosophy](https://en.wikipedia.org/wiki/Medieval_philosophy) (5th–16th centuries) is the period following the fall of the [Western Roman Empire](https://en.wikipedia.org/wiki/Western_Roman_Empire) and was dominated by the rise of [Christianity](https://en.wikipedia.org/wiki/Christianity) and hence reflects [Judeo-Christian](https://en.wikipedia.org/wiki/Judeo-Christian) theological concerns as well as retaining a continuity with Greco-Roman thought. Problems such as the existence and nature of [God](https://en.wikipedia.org/wiki/God), the nature of [faith](https://en.wikipedia.org/wiki/Faith) and reason, metaphysics, the [problem of evil](https://en.wikipedia.org/wiki/Problem_of_evil) were discussed in this period. Some key Medieval thinkers include [St. Augustine](https://en.wikipedia.org/wiki/St._Augustine), [Thomas Aquinas](https://en.wikipedia.org/wiki/Thomas_Aquinas), [Boethius](https://en.wikipedia.org/wiki/Boethius), [Anselm](https://en.wikipedia.org/wiki/Anselm_of_Laon) and [Roger Bacon](https://en.wikipedia.org/wiki/Roger_Bacon). Philosophy for these thinkers was viewed as an aid to [Theology](https://en.wikipedia.org/wiki/Theology) (*ancilla theologiae*) and hence they sought to align their philosophy with their interpretation of sacred scripture. This period saw the development of [Scholasticism](https://en.wikipedia.org/wiki/Scholasticism), a text critical method developed in [medieval universities](https://en.wikipedia.org/wiki/Medieval_universities) based on close reading and disputation on key texts. The [Renaissance](https://en.wikipedia.org/wiki/Renaissance) period saw increasing focus on classic Greco-Roman thought and on a robust [Humanism](https://en.wikipedia.org/wiki/Humanism).

#### Modern era

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/Kant_doerstling2.jpg/220px-Kant_doerstling2.jpg)](https://en.wikipedia.org/wiki/File:Kant_doerstling2.jpg)

A painting of the influential modern philosopher [Immanuel Kant](https://en.wikipedia.org/wiki/Immanuel_Kant) (in the blue coat) with his friends. Other figures include [Christian Jakob Kraus](https://en.wikipedia.org/wiki/Christian_Jakob_Kraus), [Johann Georg Hamann](https://en.wikipedia.org/wiki/Johann_Georg_Hamann), [Theodor Gottlieb von Hippel](https://en.wikipedia.org/wiki/Theodor_Gottlieb_von_Hippel_the_Elder) and [Karl Gottfried Hagen](https://en.wikipedia.org/wiki/Karl_Gottfried_Hagen)

[Early modern philosophy](https://en.wikipedia.org/wiki/Early_modern_philosophy) in the Western world begins with thinkers such as [Thomas Hobbes](https://en.wikipedia.org/wiki/Thomas_Hobbes) and [René Descartes](https://en.wikipedia.org/wiki/René_Descartes) (1596–1650).[[31\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-diane-32) Following the rise of natural science, [modern philosophy](https://en.wikipedia.org/wiki/Modern_philosophy) was concerned with developing a secular and rational foundation for knowledge and moved away from traditional structures of authority such as religion, scholastic thought and the Church. Major modern philosophers include [Spinoza](https://en.wikipedia.org/wiki/Spinoza), [Leibniz](https://en.wikipedia.org/wiki/Gottfried_Wilhelm_Leibniz), [Locke](https://en.wikipedia.org/wiki/John_Locke), [Berkeley](https://en.wikipedia.org/wiki/George_Berkeley), [Hume](https://en.wikipedia.org/wiki/David_Hume), and [Kant](https://en.wikipedia.org/wiki/Immanuel_Kant).

[19th-century philosophy](https://en.wikipedia.org/wiki/19th-century_philosophy) (sometimes called [late modern philosophy](https://en.wikipedia.org/wiki/Late_modern_philosophy)) was influenced by the wider 18th-century movement termed "[the Enlightenment](https://en.wikipedia.org/wiki/The_Enlightenment)", and includes figures such as [Hegel](https://en.wikipedia.org/wiki/Hegel) a key figure in [German idealism](https://en.wikipedia.org/wiki/German_idealism), [Kierkegaard](https://en.wikipedia.org/wiki/Kierkegaard) who developed the foundations for [existentialism](https://en.wikipedia.org/wiki/Existentialism), [Nietzsche](https://en.wikipedia.org/wiki/Nietzsche) a famed anti-Christian, [John Stuart Mill](https://en.wikipedia.org/wiki/John_Stuart_Mill) who promoted [utilitarianism](https://en.wikipedia.org/wiki/Utilitarianism), [Karl Marx](https://en.wikipedia.org/wiki/Karl_Marx) who developed the foundations for [communism](https://en.wikipedia.org/wiki/Communism) and the American [William James](https://en.wikipedia.org/wiki/William_James). The 20th century saw the split between [analytic philosophy](https://en.wikipedia.org/wiki/Analytic_philosophy) and [continental philosophy](https://en.wikipedia.org/wiki/Continental_philosophy), as well as philosophical trends such as [phenomenology](https://en.wikipedia.org/wiki/Phenomenology_(philosophy)), [existentialism](https://en.wikipedia.org/wiki/Existentialism), [logical positivism](https://en.wikipedia.org/wiki/Logical_positivism), [pragmatism](https://en.wikipedia.org/wiki/Pragmatism) and the [linguistic turn](https://en.wikipedia.org/wiki/Linguistic_turn) (see [Contemporary philosophy](https://en.wikipedia.org/wiki/Contemporary_philosophy)).

### Middle Eastern philosophy

Main article: [Middle Eastern philosophy](https://en.wikipedia.org/wiki/Middle_Eastern_philosophy)

#### Pre-Islamic philosophy

The regions of the [Fertile Crescent](https://en.wikipedia.org/wiki/Fertile_Crescent), [Iran](https://en.wikipedia.org/wiki/Iran) and [Arabia](https://en.wikipedia.org/wiki/Arabia) are home to the earliest known philosophical wisdom literature and is today mostly dominated by [Islamic culture](https://en.wikipedia.org/wiki/Islamic_culture).

Early [Wisdom Literature](https://en.wikipedia.org/wiki/Wisdom_literature) from the Fertile Crescent was a genre which sought to instruct people on ethical action, practical living and virtue through stories and proverbs. In [Ancient Egypt](https://en.wikipedia.org/wiki/Ancient_Egypt), these texts were known as *[sebayt](https://en.wikipedia.org/wiki/Sebayt)* ('teachings') and they are central to our understandings of [Ancient Egyptian philosophy](https://en.wikipedia.org/wiki/Ancient_Egyptian_philosophy). [Babylonian astronomy](https://en.wikipedia.org/wiki/Babylonian_astronomy) also included much philosophical speculations about cosmology which may have influenced the Ancient Greeks.

[Jewish philosophy](https://en.wikipedia.org/wiki/Jewish_philosophy) and [Christian philosophy](https://en.wikipedia.org/wiki/Christian_philosophy) are religio-philosophical traditions that developed both in the Middle East and in Europe, which both share certain early Judaic texts (mainly the [Tanakh](https://en.wikipedia.org/wiki/Tanakh)) and monotheistic beliefs. Jewish thinkers such as the [Geonim](https://en.wikipedia.org/wiki/Geonim) of the [Talmudic Academies in Babylonia](https://en.wikipedia.org/wiki/Talmudic_Academies_in_Babylonia) and [Maimonides](https://en.wikipedia.org/wiki/Maimonides) engaged with Greek and Islamic philosophy. Later Jewish philosophy came under strong Western intellectual influences and includes the works of [Moses Mendelssohn](https://en.wikipedia.org/wiki/Moses_Mendelssohn) who ushered in the [Haskalah](https://en.wikipedia.org/wiki/Haskalah) (the Jewish Enlightenment), [Jewish existentialism](https://en.wikipedia.org/wiki/Jewish_existentialism), and [Reform Judaism](https://en.wikipedia.org/wiki/Reform_Judaism).

The various traditions of [Gnosticism](https://en.wikipedia.org/wiki/Gnosticism), which were influenced by both Greek and Abrahamic currents, originated around the first century and emphasized spiritual knowledge (*[gnosis](https://en.wikipedia.org/wiki/Gnosis)*).

Pre-Islamic [Iranian philosophy](https://en.wikipedia.org/wiki/Iranian_philosophy) begins with the work of [Zoroaster](https://en.wikipedia.org/wiki/Zoroaster), one of the first promoters of [monotheism](https://en.wikipedia.org/wiki/Monotheism) and of the [dualism](https://en.wikipedia.org/wiki/Dualistic_cosmology) between good and evil. This dualistic cosmogony influenced later Iranian developments such as [Manichaeism](https://en.wikipedia.org/wiki/Manichaeism), [Mazdakism](https://en.wikipedia.org/wiki/Mazdakism), and [Zurvanism](https://en.wikipedia.org/wiki/Zurvanism).

#### Islamic philosophy

See also: [Islamic philosophy](https://en.wikipedia.org/wiki/Islamic_philosophy)

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/b/b4/Avicenna_Portrait_on_Silver_Vase_-_Museum_at_BuAli_Sina_%28Avicenna%29_Mausoleum_-_Hamadan_-_Western_Iran_%287423560860%29.jpg/220px-Avicenna_Portrait_on_Silver_Vase_-_Museum_at_BuAli_Sina_%28Avicenna%29_Mausoleum_-_Hamadan_-_Western_Iran_%287423560860%29.jpg)](https://en.wikipedia.org/wiki/File:Avicenna_Portrait_on_Silver_Vase_-_Museum_at_BuAli_Sina_(Avicenna)_Mausoleum_-_Hamadan_-_Western_Iran_(7423560860).jpg)

An Iranian portrait of [Avicenna](https://en.wikipedia.org/wiki/Avicenna) on a Silver Vase. He was one of the most influential philosophers of the [Islamic Golden Age](https://en.wikipedia.org/wiki/Islamic_Golden_Age).

[Islamic philosophy](https://en.wikipedia.org/wiki/Islamic_philosophy) is the philosophical work originating in the [Islamic tradition](https://en.wikipedia.org/wiki/Islamic_culture) and is mostly done in [Arabic](https://en.wikipedia.org/wiki/Arabic). It draws from the religion of Islam as well as from Greco-Roman philosophy. After the [Muslim conquests](https://en.wikipedia.org/wiki/Muslim_conquests), the [translation movement](https://en.wikipedia.org/wiki/Translation_Movement) (mid-eighth to the late tenth century) resulted in the works of Greek philosophy becoming available in Arabic.[[32\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-33)

[Early Islamic philosophy](https://en.wikipedia.org/wiki/Early_Islamic_philosophy) developed the Greek philosophical traditions in new innovative directions. This intellectual work inaugurated what is known as the [Islamic Golden Age](https://en.wikipedia.org/wiki/Islamic_Golden_Age). The two main currents of early Islamic thought are [Kalam](https://en.wikipedia.org/wiki/Kalam), which focuses on [Islamic theology](https://en.wikipedia.org/wiki/Islamic_theology), and [Falsafa](https://en.wikipedia.org/wiki/Falsafa), which was based on [Aristotelianism](https://en.wikipedia.org/wiki/Aristotelianism) and [Neoplatonism](https://en.wikipedia.org/wiki/Neoplatonism). The work of Aristotle was very influential among philosophers such as [Al-Kindi](https://en.wikipedia.org/wiki/Al-Kindi) (9th century), [Avicenna](https://en.wikipedia.org/wiki/Avicenna) (980 – June 1037) and [Averroes](https://en.wikipedia.org/wiki/Averroes) (12th century). Others such as [Al-Ghazali](https://en.wikipedia.org/wiki/Al-Ghazali) were highly critical of the methods of the Islamic Aristotelians and saw their metaphysical ideas as heretical. Islamic thinkers like [Ibn al-Haytham](https://en.wikipedia.org/wiki/Ibn_al-Haytham) and [Al-Biruni](https://en.wikipedia.org/wiki/Al-Biruni) also developed a [scientific method](https://en.wikipedia.org/wiki/Scientific_method), experimental medicine, a theory of optics and a legal philosophy. [Ibn Khaldun](https://en.wikipedia.org/wiki/Ibn_Khaldun) was an influential thinker in [philosophy of history](https://en.wikipedia.org/wiki/Philosophy_of_history).

Islamic thought also deeply influenced European intellectual developments, especially through the commentaries of Averroes on Aristotle. The [Mongol invasions](https://en.wikipedia.org/wiki/Mongol_invasions_of_the_Levant) and the [destruction of Baghdad](https://en.wikipedia.org/wiki/Siege_of_Baghdad_(1258)) in 1258 is often seen as marking the end of the Golden Age.[[33\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-34) Several schools of Islamic philosophy continued to flourish after the Golden Age however, and include currents such as [Illuminationist philosophy](https://en.wikipedia.org/wiki/Illuminationist_philosophy), [Sufi philosophy](https://en.wikipedia.org/wiki/Sufi_philosophy), and [Transcendent theosophy](https://en.wikipedia.org/wiki/Transcendent_theosophy).

The 19th- and 20th-century [Arab world](https://en.wikipedia.org/wiki/Arab_world) saw the *[Nahda](https://en.wikipedia.org/wiki/Nahda)* movement (literally meaning 'The Awakening'; also known as the 'Arab Renaissance'), which had a considerable influence on [contemporary Islamic philosophy](https://en.wikipedia.org/wiki/Contemporary_Islamic_philosophy).

### Eastern philosophy

Main article: [Eastern philosophy](https://en.wikipedia.org/wiki/Eastern_philosophy)

#### Indian philosophy

Main article: [Indian philosophy](https://en.wikipedia.org/wiki/Indian_philosophy)

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/e/e3/Raja_Ravi_Varma_-_Sankaracharya.jpg/220px-Raja_Ravi_Varma_-_Sankaracharya.jpg)](https://en.wikipedia.org/wiki/File:Raja_Ravi_Varma_-_Sankaracharya.jpg)

[Adi Shankara](https://en.wikipedia.org/wiki/Adi_Shankara) is one of the most frequently studied [Hindu](https://en.wikipedia.org/wiki/Hindu) philosophers.[[34\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-35)[[35\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-36)

[Indian philosophy](https://en.wikipedia.org/wiki/Indian_philosophy) ([Sanskrit](https://en.wikipedia.org/wiki/Sanskrit_language): *darśana*, [lit.](https://en.wikipedia.org/wiki/Literal_translation) 'point of view', 'perspective')[[36\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-37) refers to the diverse philosophical traditions that emerged since the ancient times on the [Indian subcontinent](https://en.wikipedia.org/wiki/Indian_subcontinent). Indian philosophical traditions share various key concepts and ideas, which are defined in different ways and accepted or rejected by the different traditions. These include concepts such as [*dhárma*](https://en.wikipedia.org/wiki/Dharma), *[karma](https://en.wikipedia.org/wiki/Karma)*, *[pramāṇa](https://en.wikipedia.org/wiki/Pramana),* *[duḥkha](https://en.wikipedia.org/wiki/Duḥkha), [saṃsāra](https://en.wikipedia.org/wiki/Saṃsāra)* and *[mokṣa](https://en.wikipedia.org/wiki/Moksha).[[37\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-38)[[38\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-39)*

Some of the earliest surviving Indian philosophical texts are the [Upanishads](https://en.wikipedia.org/wiki/Upanishads) of the [later Vedic period](https://en.wikipedia.org/wiki/Vedic_period#Later_Vedic_period_(c._1000_–_c._600_BCE)) (1000–500 BCE), which are considered to preserve the ideas of [Brahmanism](https://en.wikipedia.org/wiki/Historical_Vedic_religion). Indian philosophy is commonly grouped based on their relationship to the Vedas and the ideas contained in them. [Jainism](https://en.wikipedia.org/wiki/Jainism) and [Buddhism](https://en.wikipedia.org/wiki/Buddhism) originated at the end of the [Vedic period](https://en.wikipedia.org/wiki/Vedic_period), while the various traditions grouped under [Hinduism](https://en.wikipedia.org/wiki/Hinduism) mostly emerged after the Vedic period as independent traditions. Hindus generally classify Indian philosophical traditions as either orthodox ([*āstika*](https://en.wikipedia.org/wiki/Āstika_and_nāstika)) or heterodox (*nāstika*) depending on whether they accept the authority of the [Vedas](https://en.wikipedia.org/wiki/Vedas) and the theories of *[brahman](https://en.wikipedia.org/wiki/Brahman)* and [*ātman*](https://en.wikipedia.org/wiki/Ātman_(Hinduism)) found therein.[[39\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-40)[[40\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-41)

The schools which align themselves with the thought of the Upanishads, the so-called "orthodox" or "[Hindu](https://en.wikipedia.org/wiki/Hinduism)" traditions, are often classified into six *[darśanas](https://en.wikipedia.org/wiki/Hindu_philosophy)* or philosophies:[Sānkhya](https://en.wikipedia.org/wiki/Samkhya), [Yoga](https://en.wikipedia.org/wiki/Yoga_(philosophy)), [Nyāya](https://en.wikipedia.org/wiki/Nyaya), [Vaisheshika](https://en.wikipedia.org/wiki/Vaisheshika), [Mimāmsā](https://en.wikipedia.org/wiki/Mīmāṃsā) and [Vedānta](https://en.wikipedia.org/wiki/Vedanta).[[41\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-42)

The doctrines of the Vedas and Upanishads were interpreted differently by these six schools of [Hindu philosophy](https://en.wikipedia.org/wiki/Hindu_philosophy), with varying degrees of overlap. They represent a "collection of philosophical views that share a textual connection," according to Chadha (2015).[[42\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-43) They also reflect a tolerance for a diversity of philosophical interpretations within Hinduism while sharing the same foundation.[[ii\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-Sharma1990p1-44)

Hindu philosophers of the six orthodox schools developed systems of epistemology (*[pramana](https://en.wikipedia.org/wiki/Pramana)*) and investigated topics such as metaphysics, ethics, psychology (*[guṇa](https://en.wikipedia.org/wiki/Guṇa)*), [hermeneutics](https://en.wikipedia.org/wiki/Hermeneutics), and [soteriology](https://en.wikipedia.org/wiki/Soteriology) within the framework of the Vedic knowledge, while presenting a diverse collection of interpretations.[[43\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-frazierintrop2-45)[[44\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-46)[[45\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-47)[[46\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-48) The commonly named six orthodox schools were the competing philosophical traditions of what has been called the "Hindu synthesis" of [classical Hinduism](https://en.wikipedia.org/wiki/History_of_Hinduism).[[47\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-49)[[48\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-50)[[49\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-51)

There are also other schools of thought which are often seen as "Hindu", though not necessarily orthodox (since they may accept different scriptures as normative, such as the [Shaiva Agamas and Tantras](https://en.wikipedia.org/wiki/Tantras_(Hinduism))), these include different schools of [Shavism](https://en.wikipedia.org/wiki/Shaivism) such as [Pashupata](https://en.wikipedia.org/wiki/Pashupata_Shaivism), [Shaiva Siddhanta](https://en.wikipedia.org/wiki/Shaiva_Siddhanta), [non-dual tantric Shavism](https://en.wikipedia.org/wiki/Kashmir_Shaivism) (i.e. Trika, Kaula, etc.).[[50\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-52)

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Medieval_Jain_temple_Anekantavada_doctrine_artwork.jpg/220px-Medieval_Jain_temple_Anekantavada_doctrine_artwork.jpg)](https://en.wikipedia.org/wiki/File:Medieval_Jain_temple_Anekantavada_doctrine_artwork.jpg)

The parable of the blind men and the elephant illustrates the important Jain doctrine of [anēkāntavāda](https://en.wikipedia.org/wiki/Anekantavada)

The "Hindu" and "Orthodox" traditions are often contrasted with the "unorthodox" traditions (*nāstika,* literally "those who reject"), though this is a label that is not used by the "unorthodox" schools themselves. These traditions reject the Vedas as authoritative and often reject major concepts and ideas that are widely accepted by the orthodox schools (such as *Ātman*, *Brahman*, and [*Īśvara*](https://en.wikipedia.org/wiki/Ishvara)).[[51\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-bilimoriaastika-53) These unorthodox schools include Jainism (accepts *ātman* but rejects *Īśvara,* Vedas and *Brahman*), Buddhism (rejects all orthodox concepts except rebirth and karma), [Cārvāka](https://en.wikipedia.org/wiki/Charvaka) (materialists who reject even rebirth and karma) and [Ājīvika](https://en.wikipedia.org/wiki/Ājīvika) (known for their doctrine of fate).[[51\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-bilimoriaastika-53)[[52\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-bhattacarv-54)[[53\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-bronkhorst-55)[[54\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-56)[[55\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-57)[[iii\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-58)[[56\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-59)[[57\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-60)

[Jain philosophy](https://en.wikipedia.org/wiki/Jain_philosophy) is one of the only two surviving "unorthodox" traditions (along with Buddhism). It generally accepts the concept of a permanent soul (*[jiva](https://en.wikipedia.org/wiki/Jiva)*) as one of the five *[astikayas](https://en.wikipedia.org/wiki/Āstika_and_nāstika)* (eternal, infinite categories that make up the substance of existence). The other four being [*dhárma*](https://en.wikipedia.org/wiki/Dharma), *[adharma](https://en.wikipedia.org/wiki/Adharma)*, *[ākāśa](https://en.wikipedia.org/wiki/Akasha)* ('space'), and *[pudgala](https://en.wikipedia.org/wiki/Pudgala)* ('matter'). Jain thought holds that all existence is cyclic, eternal and uncreated.[[58\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-61)[[59\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-62)

Some of the most important elements of Jain philosophy are the [Jain theory of karma](https://en.wikipedia.org/wiki/Karma_in_Jainism), the doctrine of nonviolence ([ahiṃsā](https://en.wikipedia.org/wiki/Ahimsa_in_Jainism)) and the theory of "many-sidedness" or [Anēkāntavāda](https://en.wikipedia.org/wiki/Anekantavada). The *[Tattvartha Sutra](https://en.wikipedia.org/wiki/Tattvartha_Sutra)* is the earliest known, most comprehensive and authoritative compilation of Jain philosophy.[[60\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-63)[[61\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-64)

#### Buddhist philosophy

Main article: [Buddhist philosophy](https://en.wikipedia.org/wiki/Buddhist_philosophy)

![File:Monks debating at Sera monastery, 2013.webm](https://upload.wikimedia.org/wikipedia/commons/thumb/3/3b/Monks_debating_at_Sera_monastery%2C_2013.webm/220px--Monks_debating_at_Sera_monastery%2C_2013.webm.jpg)

Monks debating at [Sera monastery](https://en.wikipedia.org/wiki/Sera_monastery), Tibet, 2013. According to Jan Westerhoff, "public debates constituted the most important and most visible forms of philosophical exchange" in ancient Indian intellectual life.[[62\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-65)

Buddhist philosophy begins with the thought of [Gautama Buddha](https://en.wikipedia.org/wiki/Gautama_Buddha) ([fl.](https://en.wikipedia.org/wiki/Floruit) between 6th and 4th century BCE) and is preserved in the [early Buddhist texts](https://en.wikipedia.org/wiki/Early_Buddhist_Texts). It originated in the Indian region of [Magadha](https://en.wikipedia.org/wiki/Magadha) and later spread to the rest of the [Indian subcontinent](https://en.wikipedia.org/wiki/Indian_subcontinent), [East Asia](https://en.wikipedia.org/wiki/East_Asia), [Tibet](https://en.wikipedia.org/wiki/Tibet), [Central Asia](https://en.wikipedia.org/wiki/Central_Asia), and [Southeast Asia](https://en.wikipedia.org/wiki/Southeast_Asia). In these regions, Buddhist thought developed into different philosophical traditions which used various languages (like [Tibetan](https://en.wikipedia.org/wiki/Classical_Tibetan), [Chinese](https://en.wikipedia.org/wiki/Classical_Chinese) and [Pali](https://en.wikipedia.org/wiki/Pali)). As such, Buddhist philosophy is a [trans-cultural](https://en.wikipedia.org/wiki/Transculturalism) and international phenomenon.

The dominant Buddhist philosophical traditions in East Asian nations are mainly based on Indian [Mahayana](https://en.wikipedia.org/wiki/Mahayana) Buddhism. The philosophy of the [Theravada](https://en.wikipedia.org/wiki/Theravada) school is dominant in [Southeast Asian](https://en.wikipedia.org/wiki/Southeast_Asia) countries like [Sri Lanka](https://en.wikipedia.org/wiki/Sri_Lanka), [Burma](https://en.wikipedia.org/wiki/Burma) and [Thailand](https://en.wikipedia.org/wiki/Thailand).

Because [ignorance](https://en.wikipedia.org/wiki/Avidyā_(Buddhism)) to the true nature of things is considered one of the roots of suffering (*[dukkha](https://en.wikipedia.org/wiki/Dukkha)*), Buddhist philosophy is concerned with epistemology, metaphysics, ethics and psychology. Buddhist philosophical texts must also be understood within the context of [meditative practices](https://en.wikipedia.org/wiki/Buddhist_meditation) which are supposed to bring about certain cognitive shifts.[[63\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:17-66): 8  Key innovative concepts include the [four noble truths](https://en.wikipedia.org/wiki/Four_Noble_Truths) as an analysis of *dukkha*, [*anicca*](https://en.wikipedia.org/wiki/Impermanence) (impermanence), and *[anatta](https://en.wikipedia.org/wiki/Anatta)* (non-self).[[iv\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-67)[[64\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-68)

After the death of the Buddha, various groups began to systematize his main teachings, eventually developing comprehensive philosophical systems termed *[Abhidharma](https://en.wikipedia.org/wiki/Abhidharma)*.[[63\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:17-66): 37  Following the Abhidharma schools, Indian [Mahayana](https://en.wikipedia.org/wiki/Mahayana) philosophers such as [Nagarjuna](https://en.wikipedia.org/wiki/Nagarjuna) and [Vasubandhu](https://en.wikipedia.org/wiki/Vasubandhu) developed the theories of *[śūnyatā](https://en.wikipedia.org/wiki/Śūnyatā)* ('emptiness of all phenomena') and [*vijñapti-matra*](https://en.wikipedia.org/wiki/Yogachara#Vijñapti-mātra) ('appearance only'), a form of phenomenology or [transcendental idealism](https://en.wikipedia.org/wiki/Transcendental_idealism). The [Dignāga](https://en.wikipedia.org/wiki/Dignāga) school of *[pramāṇa](https://en.wikipedia.org/wiki/Pramana)* ('means of knowledge') promoted a sophisticated form of [Buddhist epistemology](https://en.wikipedia.org/wiki/Buddhist_logico-epistemology).

There were numerous schools, sub-schools, and traditions of Buddhist philosophy in ancient and medieval India. According to Oxford professor of Buddhist philosophy [Jan Westerhoff](https://en.wikipedia.org/wiki/Jan_Westerhoff), the major Indian schools from 300 BCE to 1000 CE were:[[63\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-:17-66): xxiv  the [Mahāsāṃghika](https://en.wikipedia.org/wiki/Mahāsāṃghika) tradition (now extinct), the [Sthavira](https://en.wikipedia.org/wiki/Sthavira_nikāya) schools (such as [Sarvāstivāda](https://en.wikipedia.org/wiki/Sarvastivada), [Vibhajyavāda](https://en.wikipedia.org/wiki/Vibhajyavāda) and [Pudgalavāda](https://en.wikipedia.org/wiki/Pudgalavada)) and the [Mahayana](https://en.wikipedia.org/wiki/Mahayana) schools. Many of these traditions were also studied in other regions, like Central Asia and China, having been brought there by Buddhist missionaries.

After the disappearance of Buddhism from India, some of these philosophical traditions continued to develop in the [Tibetan Buddhist](https://en.wikipedia.org/wiki/Tibetan_Buddhist), [East Asian Buddhist](https://en.wikipedia.org/wiki/East_Asian_Buddhist) and [Theravada Buddhist](https://en.wikipedia.org/wiki/Theravada_Buddhist) traditions.[[65\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-69)[[66\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-70)