### Topical introductions

#### African

- Imbo, Samuel Oluoch. *An Introduction to African Philosophy.*[ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-8476-8841-8](https://en.wikipedia.org/wiki/Special:BookSources/978-0-8476-8841-8)

#### Eastern

- *A Source Book in Indian Philosophy* by Sarvepalli Radhakrishnan, Charles A. Moore
- Hamilton, Sue. *Indian Philosophy: a Very Short Introduction*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-19-285374-5](https://en.wikipedia.org/wiki/Special:BookSources/978-0-19-285374-5)
- Kupperman, Joel J. *Classic Asian Philosophy: A Guide to the Essential Texts*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-19-513335-6](https://en.wikipedia.org/wiki/Special:BookSources/978-0-19-513335-6)
- Lee, Joe and Powell, Jim. *Eastern Philosophy For Beginners*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-86316-282-4](https://en.wikipedia.org/wiki/Special:BookSources/978-0-86316-282-4)
- Smart, Ninian. *World Philosophies*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-415-22852-7](https://en.wikipedia.org/wiki/Special:BookSources/978-0-415-22852-7)
- Copleston, Frederick. *Philosophy in Russia: From Herzen to Lenin and Berdyaev*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-268-01569-5](https://en.wikipedia.org/wiki/Special:BookSources/978-0-268-01569-5)

#### Islamic

- *Medieval Islamic Philosophical Writings* edited by Muhammad Ali Khalidi
- Leaman, Oliver (14 April 2000). *A Brief Introduction to Islamic Philosophy*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-7456-1960-6](https://en.wikipedia.org/wiki/Special:BookSources/978-0-7456-1960-6).
- [Corbin, Henry](https://en.wikipedia.org/wiki/Henry_Corbin) (23 June 2014) [1993]. [*History Of Islamic Philosophy*](https://books.google.com/books?id=UNfgAwAAQBAJ). Translated by Sherrard, Liadain; [Sherrard, Philip](https://en.wikipedia.org/wiki/Philip_Sherrard). Taylor & Francis. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-1-135-19888-6](https://en.wikipedia.org/wiki/Special:BookSources/978-1-135-19888-6).
- Aminrazavi, Mehdi Amin Razavi; Nasr, Seyyed Hossein; Nasr, PH.D., Seyyed Hossein (16 December 2013). [*The Islamic Intellectual Tradition in Persia*](https://books.google.com/books?id=WNVcAgAAQBAJ). Routledge. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-1-136-78105-6](https://en.wikipedia.org/wiki/Special:BookSources/978-1-136-78105-6).

### Historical introductions

#### General

- [Oizerman, Teodor](https://en.wikipedia.org/wiki/Teodor_Oizerman) (1988). [*The Main Trends in Philosophy. A Theoretical Analysis of the History of Philosophy*](https://web.archive.org/web/20120306000629/http://su-ltd.mylivepage.ru/file/2715/6529_OizermanT.I.-Main_trends_in_Philosophy.pdf) (PDF). translated by H. Campbell Creighton, M.A., Oxon (2nd ed.). [Moscow](https://en.wikipedia.org/wiki/Moscow): [Progress Publishers](https://en.wikipedia.org/wiki/Progress_Publishers). [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-5-01-000506-1](https://en.wikipedia.org/wiki/Special:BookSources/978-5-01-000506-1). Archived from [the original](http://su-ltd.mylivepage.ru/file/2715/6529_OizermanT.I.-Main_trends_in_Philosophy.pdf) (DjVu, etc.) on 6 March 2012. Retrieved 20 January 2011First published in Russian as «Главные философские направления»
- [Higgins, Kathleen M.](https://en.wikipedia.org/wiki/Kathleen_Higgins) and [Solomon, Robert C.](https://en.wikipedia.org/wiki/Robert_C._Solomon) *A Short History of Philosophy*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-19-510196-6](https://en.wikipedia.org/wiki/Special:BookSources/978-0-19-510196-6)
- [Durant, Will](https://en.wikipedia.org/wiki/Will_Durant), *Story of Philosophy: The Lives and Opinions of the World's Greatest Philosophers*, Pocket, 1991, [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-671-73916-4](https://en.wikipedia.org/wiki/Special:BookSources/978-0-671-73916-4)
- [Oizerman, Teodor](https://en.wikipedia.org/wiki/Teodor_Oizerman) (1973). [*Problems of the History of Philosophy*](https://web.archive.org/web/20110706145426/http://leninist.biz/en/1973/PHP462/index.html). translated from Russian by Robert Daglish (1st ed.). [Moscow](https://en.wikipedia.org/wiki/Moscow): [Progress Publishers](https://en.wikipedia.org/wiki/Progress_Publishers). Archived from [the original](http://leninist.biz/en/1973/PHP462/index.html) on 6 July 2011. Retrieved 20 January 2011First published in Russian as «Проблемы историко-философской науки»

#### Ancient

- Knight, Kelvin. *Aristotelian Philosophy: Ethics and Politics from Aristotle to MacIntyre*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-7456-1977-4](https://en.wikipedia.org/wiki/Special:BookSources/978-0-7456-1977-4)

#### Medieval

- *The Phenomenology Reader* by Dermot Moran, Timothy Mooney
- Kim, J. and Ernest Sosa, Ed. (1999). *Metaphysics: An Anthology*. Blackwell Philosophy Anthologies. Oxford, Blackwell Publishers Ltd.
- Husserl, Edmund; Welton, Donn (1999). [*The Essential Husserl: Basic Writings in Transcendental Phenomenology*](https://books.google.com/books?id=hC2Ac8VGLacC). Indiana University Press. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-253-21273-3](https://en.wikipedia.org/wiki/Special:BookSources/978-0-253-21273-3).

#### Modern & contemporary

- *The English Philosophers from Bacon to Mill* by Edwin Arthur
- *European Philosophers from Descartes to Nietzsche* by Monroe Beardsley
- *Existentialism: Basic Writings (Second Edition)* by Charles Guignon, Derk Pereboom
- Curley, Edwin, *A Spinoza Reader*, Princeton, 1994, [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-691-00067-1](https://en.wikipedia.org/wiki/Special:BookSources/978-0-691-00067-1)
- [Bullock, Alan](https://en.wikipedia.org/wiki/Alan_Bullock), R.B. Woodings, and John Cumming, *eds*. *The Fontana Dictionary of Modern Thinkers*, in series, *Fontana Original[s]*. Hammersmith, Eng.: Fontana Press, 1992 [1983]. xxv, 867 p. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-00-636965-3](https://en.wikipedia.org/wiki/Special:BookSources/978-0-00-636965-3)
- [Scruton, Roger](https://en.wikipedia.org/wiki/Roger_Scruton). *A Short History of Modern Philosophy*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-415-26763-2](https://en.wikipedia.org/wiki/Special:BookSources/978-0-415-26763-2)
- *Contemporary Analytic Philosophy: Core Readings* by James Baillie
- [Appiah, Kwame Anthony](https://en.wikipedia.org/wiki/Kwame_Anthony_Appiah). *Thinking it Through – An Introduction to Contemporary Philosophy*, 2003, [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-19-513458-2](https://en.wikipedia.org/wiki/Special:BookSources/978-0-19-513458-2)
- Critchley, Simon. *Continental Philosophy: A Very Short Introduction*. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-19-285359-2](https://en.wikipedia.org/wiki/Special:BookSources/978-0-19-285359-2)

### Reference works

- [Chan, Wing-tsit](https://en.wikipedia.org/wiki/Wing-tsit_Chan) (1963). [*A Source Book in Chinese Philosophy*](https://books.google.com/books?id=dzmMaVTvUzAC). Princeton University Press. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-691-01964-2](https://en.wikipedia.org/wiki/Special:BookSources/978-0-691-01964-2).
- Huang, Siu-chi (1999). [*Essentials of Neo-Confucianism: Eight Major Philosophers of the Song and Ming Periods*](https://books.google.com/books?id=sjzPPg8eK7sC). Greenwood Publishing Group. [ISBN](https://en.wikipedia.org/wiki/ISBN_(identifier)) [978-0-313-26449-8](https://en.wikipedia.org/wiki/Special:BookSources/978-0-313-26449-8).