Buddhism began arriving in China during the Han Dynasty, through a [gradual Silk road transmission](https://en.wikipedia.org/wiki/Silk_Road_transmission_of_Buddhism)[[69\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-73) and through native influences developed distinct Chinese forms (such as Chan/[Zen](https://en.wikipedia.org/wiki/Zen)) which spread throughout the [East Asian cultural sphere](https://en.wikipedia.org/wiki/East_Asian_cultural_sphere).

Chinese culture was highly influential on the traditions of other East Asian states and its philosophy directly influenced [Korean philosophy](https://en.wikipedia.org/wiki/Korean_philosophy), [Vietnamese philosophy](https://en.wikipedia.org/wiki/Vietnamese_philosophy) and [Japanese philosophy](https://en.wikipedia.org/wiki/Japanese_philosophy).[[70\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-74) During later Chinese dynasties like the [Ming Dynasty](https://en.wikipedia.org/wiki/Ming_Dynasty) (1368–1644) as well as in the Korean [Joseon dynasty](https://en.wikipedia.org/wiki/Joseon_dynasty) (1392–1897) a resurgent [Neo-Confucianism](https://en.wikipedia.org/wiki/Neo-Confucianism) led by thinkers such as [Wang Yangming](https://en.wikipedia.org/wiki/Wang_Yangming) (1472–1529) became the dominant school of thought, and was promoted by the imperial state. In Japan, the [Tokugawa shogunate](https://en.wikipedia.org/wiki/Tokugawa_shogunate) (1603–1867) was also strongly influenced by Confucian philosophy.[[71\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-75) Confucianism continues to influence the ideas and worldview of the nations of the [Chinese cultural sphere](https://en.wikipedia.org/wiki/East_Asian_cultural_sphere) today.

In the Modern era, Chinese thinkers incorporated ideas from Western philosophy. [Chinese Marxist philosophy](https://en.wikipedia.org/wiki/Chinese_Marxist_philosophy) developed under the influence of [Mao Zedong](https://en.wikipedia.org/wiki/Mao_Zedong), while a Chinese pragmatism developed under [Hu Shih](https://en.wikipedia.org/wiki/Hu_Shih). The old traditional philosophies also began to reassert themselves in the 20th century. For example, [New Confucianism](https://en.wikipedia.org/wiki/New_Confucianism), led by figures such as [Xiong Shili](https://en.wikipedia.org/wiki/Xiong_Shili), has become quite influential. Likewise, [Humanistic Buddhism](https://en.wikipedia.org/wiki/Humanistic_Buddhism) is a recent modernist Buddhist movement.

Modern Japanese thought meanwhile developed under strong Western influences such as the study of Western Sciences ([Rangaku](https://en.wikipedia.org/wiki/Rangaku)) and the modernist [Meirokusha](https://en.wikipedia.org/wiki/Meirokusha) intellectual society which drew from European enlightenment thought and promoted liberal reforms as well as Western philosophies like Liberalism and Utilitarianism. Another trend in modern Japanese philosophy was the "National Studies" ([Kokugaku](https://en.wikipedia.org/wiki/Kokugaku)) tradition. This intellectual trend sought to study and promote ancient Japanese thought and culture. Kokugaku thinkers such as [Motoori Norinaga](https://en.wikipedia.org/wiki/Motoori_Norinaga) sought to return to a pure Japanese tradition which they called [Shinto](https://en.wikipedia.org/wiki/Shinto) that they saw as untainted by foreign elements.

During the 20th century, the [Kyoto School](https://en.wikipedia.org/wiki/Kyoto_School), an influential and unique Japanese philosophical school developed from Western [phenomenology](https://en.wikipedia.org/wiki/Phenomenology_(philosophy)) and Medieval Japanese Buddhist philosophy such as that of [Dogen](https://en.wikipedia.org/wiki/Dogen).

### African philosophy

Main article: [African philosophy](https://en.wikipedia.org/wiki/African_philosophy)

[![img](https://upload.wikimedia.org/wikipedia/commons/thumb/a/a8/Zera_Yacob.jpg/220px-Zera_Yacob.jpg)](https://en.wikipedia.org/wiki/File:Zera_Yacob.jpg)

Painting of Zera Yacob from [Claude Sumner](https://en.wikipedia.org/wiki/Claude_Sumner)'s *Classical Ethiopian Philosophy.*

African philosophy is philosophy produced by [African people](https://en.wikipedia.org/wiki/African_people), philosophy that presents African worldviews, ideas and themes, or philosophy that uses distinct African philosophical methods. Modern African thought has been occupied with [Ethnophilosophy](https://en.wikipedia.org/wiki/Ethnophilosophy), with defining the very meaning of African philosophy and its unique characteristics and what it means to be [African](https://en.wikipedia.org/wiki/African_people).[[72\]](https://en.wikipedia.org/wiki/Philosophy#cite_note-76)

During the 17th century, [Ethiopian philosophy](https://en.wikipedia.org/wiki/Ethiopian_philosophy) developed a robust literary tradition as exemplified by [Zera Yacob](https://en.wikipedia.org/wiki/Zera_Yacob_(philosopher)). Another early African philosopher was [Anton Wilhelm Amo](https://en.wikipedia.org/wiki/Anton_Wilhelm_Amo) (c. 1703–1759) who became a respected philosopher in Germany. Distinct African philosophical ideas include [Ujamaa](https://en.wikipedia.org/wiki/Ujamaa), the [Bantu](https://en.wikipedia.org/wiki/Bantu_peoples_in_South_Africa) idea of ['Force'](https://en.wikipedia.org/wiki/Bantu_Philosophy), [Négritude](https://en.wikipedia.org/wiki/Négritude), [Pan-Africanism](https://en.wikipedia.org/wiki/Pan-Africanism) and [Ubuntu](https://en.wikipedia.org/wiki/Ubuntu_(philosophy)). Contemporary African thought has also seen the development of Professional philosophy and of [Africana philosophy](https://en.wikipedia.org/wiki/Africana_philosophy), the philosophical literature of the [African diaspora](https://en.wikipedia.org/wiki/African_diaspora) which includes currents such as [black existentialism](https://en.wikipedia.org/wiki/Black_existentialism) by [African-Americans](https://en.wikipedia.org/wiki/African-Americans). Some modern African thinkers have been influenced by [Marxism](https://en.wikipedia.org/wiki/Marxism), [African-American literature](https://en.wikipedia.org/wiki/African-American_literature), [Critical theory](https://en.wikipedia.org/wiki/Critical_theory), [Critical race theory](https://en.wikipedia.org/wiki/Critical_race_theory), [Postcolonialism](https://en.wikipedia.org/wiki/Postcolonialism) and [Feminism](https://en.wikipedia.org/wiki/African_feminism).